Index: /doc/latex/classbdm_1_1multiBM__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1multiBM__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1multiBM__coll__graph.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 185 422
+%%PageBoundingBox: 36 36 185 410
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 149 386 boxprim clip newpath
+36 36 149 374 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -300,5 +300,5 @@
 % Node4
 gsave
-[ /Rect [ 37 357 121 377 ]
+[ /Rect [ 37 345 121 365 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1bdmroot.html) >>
@@ -306,20 +306,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 37 356 moveto
-37 377 lineto
-122 377 lineto
-122 356 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 37 356 moveto
-37 377 lineto
-122 377 lineto
-122 356 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-44.5 363.5 moveto 69 (bdm::bdmroot) alignedtext
+newpath 37 344 moveto
+37 365 lineto
+122 365 lineto
+122 344 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 37 344 moveto
+37 365 lineto
+122 365 lineto
+122 344 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+44.5 351.5 moveto 69 (bdm::bdmroot) alignedtext
 grestore
 % Node4->Node3
@@ -328,24 +328,24 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 61 348 moveto
-54 340 46 329 42 318 curveto
-30 288 29 251 29 233 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 58.78 350.78 moveto
-68 356 lineto
-64.05 346.17 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 58.78 350.78 moveto
-68 356 lineto
-64.05 346.17 lineto
+newpath 61 336 moveto
+54 328 46 317 42 306 curveto
+32 281 30 249 29 233 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 58.78 338.78 moveto
+68 344 lineto
+64.05 334.17 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 58.78 338.78 moveto
+68 344 lineto
+64.05 334.17 lineto
 closepath stroke
 grestore
 % Node5
 gsave
-[ /Rect [ 51 297 107 317 ]
+[ /Rect [ 51 285 107 305 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classbdm_1_1RV.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 51 296 moveto
-51 317 lineto
-107 317 lineto
-107 296 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 51 296 moveto
-51 317 lineto
-107 317 lineto
-107 296 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-59 303.5 moveto 40 (bdm::RV) alignedtext
+newpath 51 284 moveto
+51 305 lineto
+107 305 lineto
+107 284 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 51 284 moveto
+51 305 lineto
+107 305 lineto
+107 284 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+59 291.5 moveto 40 (bdm::RV) alignedtext
 grestore
 % Node4->Node5
@@ -375,18 +375,18 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 79 346 moveto
-79 336 79 325 79 317 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 75.5 346 moveto
-79 356 lineto
-82.5 346 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 75.5 346 moveto
-79 356 lineto
-82.5 346 lineto
+newpath 79 334 moveto
+79 324 79 313 79 305 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 75.5 334 moveto
+79 344 lineto
+82.5 334 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 75.5 334 moveto
+79 344 lineto
+82.5 334 lineto
 closepath stroke
 grestore
@@ -421,19 +421,19 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 97 349 moveto
-104 340 112 329 116 318 curveto
-126 288 117 251 111 233 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 94.6 346.45 moveto
-90 356 lineto
-99.55 351.4 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 94.6 346.45 moveto
-90 356 lineto
-99.55 351.4 lineto
+newpath 97 337 moveto
+104 328 112 317 116 306 curveto
+124 280 116 249 111 233 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 94.6 334.45 moveto
+90 344 lineto
+99.55 339.4 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 94.6 334.45 moveto
+90 344 lineto
+99.55 339.4 lineto
 closepath stroke
 grestore
@@ -443,49 +443,46 @@
 dashed
 0.776 0.753 0.804 edgecolor
-newpath 67 287 moveto
-58 270 43 247 35 233 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 64.08 288.96 moveto
-72 296 lineto
-70.2 285.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 64.08 288.96 moveto
-72 296 lineto
-70.2 285.56 lineto
+newpath 65 276 moveto
+55 262 43 244 36 233 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 62.2 278.1 moveto
+71 284 lineto
+67.8 273.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 62.2 278.1 moveto
+71 284 lineto
+67.8 273.9 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-63.5 269 moveto 15 (drv) alignedtext
+61.5 256.5 moveto 15 (drv) alignedtext
+grestore
+% Node5->Node8
+gsave
+1 setlinewidth
+dashed
+0.776 0.753 0.804 edgecolor
+newpath 88 275 moveto
+93 261 100 244 104 233 curveto
+stroke
+0.776 0.753 0.804 edgecolor
+newpath 84.86 273.44 moveto
+84 284 lineto
+91.26 276.28 lineto
+closepath fill
+1 setlinewidth
+solid
+0.776 0.753 0.804 edgecolor
+newpath 84.86 273.44 moveto
+84 284 lineto
+91.26 276.28 lineto
+closepath stroke
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-66.5 256 moveto 9 (rv) alignedtext
-grestore
-% Node5->Node8
-gsave
-1 setlinewidth
-dashed
-0.776 0.753 0.804 edgecolor
-newpath 86 286 moveto
-92 269 100 246 105 233 curveto
-stroke
-0.776 0.753 0.804 edgecolor
-newpath 82.52 285.42 moveto
-83 296 lineto
-89.23 287.43 lineto
-closepath fill
-1 setlinewidth
-solid
-0.776 0.753 0.804 edgecolor
-newpath 82.52 285.42 moveto
-83 296 lineto
-89.23 287.43 lineto
-closepath stroke
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-96.5 262.5 moveto 9 (rv) alignedtext
+93.5 256.5 moveto 9 (rv) alignedtext
 grestore
 % Node6
@@ -612,5 +609,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 185 422
+%%BoundingBox: 36 36 185 410
 end
 restore
Index: /doc/latex/libKF_8h__incl.eps
===================================================================
--- /doc/latex/libKF_8h__incl.eps (revision 261)
+++ /doc/latex/libKF_8h__incl.eps (revision 270)
@@ -180,9 +180,9 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 257 356
+%%PageBoundingBox: 36 36 254 356
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 221 320 boxprim clip newpath
+36 36 218 320 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
@@ -252,5 +252,5 @@
 closepath stroke
 grestore
-% Node6
+% Node7
 gsave
 [ /Rect [ 96 233 172 253 ]
@@ -277,5 +277,5 @@
 104 239.5 moveto 60 (../stat/libEF.h) alignedtext
 grestore
-% Node1->Node6
+% Node1->Node7
 gsave
 1 setlinewidth
@@ -298,7 +298,7 @@
 closepath stroke
 grestore
-% Node7
-gsave
-[ /Rect [ 121 175 213 195 ]
+% Node8
+gsave
+[ /Rect [ 118 175 210 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($chmat_8h.html) >>
@@ -306,22 +306,22 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 121 174 moveto
-121 195 lineto
-214 195 lineto
-214 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 121 174 moveto
-121 195 lineto
-214 195 lineto
-214 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-128.5 181.5 moveto 77 (../math/chmat.h) alignedtext
-grestore
-% Node1->Node7
+newpath 118 174 moveto
+118 195 lineto
+211 195 lineto
+211 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 118 174 moveto
+118 195 lineto
+211 195 lineto
+211 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+125.5 181.5 moveto 77 (../math/chmat.h) alignedtext
+grestore
+% Node1->Node8
 gsave
 1 setlinewidth
@@ -330,22 +330,22 @@
 newpath 150 290 moveto
 161 281 174 269 181 254 curveto
-187 238 182 219 176 204 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 179.26 202.72 moveto
-172 195 lineto
-172.86 205.56 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 179.26 202.72 moveto
-172 195 lineto
-172.86 205.56 lineto
+187 238 182 219 175 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 178.26 202.72 moveto
+171 195 lineto
+171.86 205.56 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 178.26 202.72 moveto
+171 195 lineto
+171.86 205.56 lineto
 closepath stroke
 grestore
 % Node3
 gsave
-[ /Rect [ 53 175 103 195 ]
+[ /Rect [ 40 175 90 195 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libBM_8h.html) >>
@@ -353,20 +353,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 53 174 moveto
-53 195 lineto
-104 195 lineto
-104 174 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 53 174 moveto
-53 195 lineto
-104 195 lineto
-104 174 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-60.5 181.5 moveto 35 (libBM.h) alignedtext
+newpath 40 174 moveto
+40 195 lineto
+91 195 lineto
+91 174 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 40 174 moveto
+40 195 lineto
+91 195 lineto
+91 174 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+47.5 181.5 moveto 35 (libBM.h) alignedtext
 grestore
 % Node2->Node3
@@ -375,23 +375,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 47 232 moveto
-52 224 60 213 66 204 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 69.2 205.44 moveto
-71 195 lineto
-63.08 202.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 69.2 205.44 moveto
-71 195 lineto
-63.08 202.04 lineto
+newpath 44 232 moveto
+48 224 52 213 57 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 60.14 205.56 moveto
+61 195 lineto
+53.74 202.72 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 60.14 205.56 moveto
+61 195 lineto
+53.74 202.72 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 91 59 163 79 ]
+[ /Rect [ 73 59 145 79 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($itpp__ext_8h-source.html) >>
@@ -399,20 +399,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 91 58 moveto
-91 79 lineto
-163 79 lineto
-163 58 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 91 58 moveto
-91 79 lineto
-163 79 lineto
-163 58 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-99 65.5 moveto 56 (../itpp_ext.h) alignedtext
+newpath 73 58 moveto
+73 79 lineto
+145 79 lineto
+145 58 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 73 58 moveto
+73 79 lineto
+145 79 lineto
+145 58 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+81 65.5 moveto 56 (../itpp_ext.h) alignedtext
 grestore
 % Node3->Node4
@@ -421,18 +421,60 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 83 174 moveto
-91 155 109 113 119 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 122.14 89.56 moveto
-123 79 lineto
-115.74 86.72 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 122.14 89.56 moveto
-123 79 lineto
-115.74 86.72 lineto
+newpath 65 174 moveto
+65 159 66 135 74 116 curveto
+78 106 85 95 91 87 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 94.05 88.83 moveto
+98 79 lineto
+88.78 84.22 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 94.05 88.83 moveto
+98 79 lineto
+88.78 84.22 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 83 116 moveto
+83 137 lineto
+121 137 lineto
+121 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 83 116 moveto
+83 137 lineto
+121 137 lineto
+121 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+91 123.5 moveto 22 (map) alignedtext
+grestore
+% Node3->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 72 174 moveto
+77 166 84 155 90 145 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 92.8 147.1 moveto
+96 137 lineto
+87.2 142.9 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 92.8 147.1 moveto
+96 137 lineto
+87.2 142.9 lineto
 closepath stroke
 grestore
@@ -440,20 +482,20 @@
 gsave
 0.000 0.000 1.000 nodecolor
-newpath 90 0 moveto
-90 21 lineto
-165 21 lineto
-165 0 lineto
+newpath 72 0 moveto
+72 21 lineto
+147 21 lineto
+147 0 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 90 0 moveto
-90 21 lineto
-165 21 lineto
-165 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-97.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
+newpath 72 0 moveto
+72 21 lineto
+147 21 lineto
+147 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+79.5 7.5 moveto 59 (itpp/itbase.h) alignedtext
 grestore
 % Node4->Node5
@@ -462,42 +504,42 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 127 58 moveto
-127 50 127 40 127 31 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 130.5 31 moveto
-127 21 lineto
-123.5 31 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 130.5 31 moveto
-127 21 lineto
-123.5 31 lineto
-closepath stroke
-grestore
-% Node6->Node3
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 123 232 moveto
-115 223 104 212 95 202 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 97.55 199.6 moveto
-88 195 lineto
-92.6 204.55 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 97.55 199.6 moveto
-88 195 lineto
-92.6 204.55 lineto
-closepath stroke
-grestore
-% Node6->Node7
+newpath 109 58 moveto
+109 50 109 40 109 31 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 112.5 31 moveto
+109 21 lineto
+105.5 31 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 112.5 31 moveto
+109 21 lineto
+105.5 31 lineto
+closepath stroke
+grestore
+% Node7->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 121 232 moveto
+111 223 96 211 85 201 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 87.1 198.2 moveto
+77 195 lineto
+82.9 203.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 87.1 198.2 moveto
+77 195 lineto
+82.9 203.8 lineto
+closepath stroke
+grestore
+% Node7->Node8
 gsave
 1 setlinewidth
@@ -505,22 +547,22 @@
 0.667 0.776 0.439 edgecolor
 newpath 140 232 moveto
-144 224 151 213 156 204 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 159.2 205.44 moveto
-161 195 lineto
-153.08 202.04 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 159.2 205.44 moveto
-161 195 lineto
-153.08 202.04 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 133 117 183 137 ]
+144 224 150 213 154 204 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 157.2 205.44 moveto
+159 195 lineto
+151.08 202.04 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 157.2 205.44 moveto
+159 195 lineto
+151.08 202.04 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 139 117 189 137 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($libDC_8h.html) >>
@@ -528,61 +570,61 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 133 116 moveto
-133 137 lineto
-183 137 lineto
-183 116 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 133 116 moveto
-133 137 lineto
-183 137 lineto
-183 116 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10 /FreeSans set_font
-141 123.5 moveto 34 (libDC.h) alignedtext
-grestore
-% Node7->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 165 174 moveto
-164 166 163 156 161 147 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 164.48 146.6 moveto
-160 137 lineto
-157.51 147.3 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 164.48 146.6 moveto
-160 137 lineto
-157.51 147.3 lineto
-closepath stroke
-grestore
-% Node8->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 152 116 moveto
-148 108 142 97 137 88 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 139.92 86.04 moveto
-132 79 lineto
-133.8 89.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 139.92 86.04 moveto
-132 79 lineto
-133.8 89.44 lineto
+newpath 139 116 moveto
+139 137 lineto
+189 137 lineto
+189 116 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 139 116 moveto
+139 137 lineto
+189 137 lineto
+189 116 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10 /FreeSans set_font
+147 123.5 moveto 34 (libDC.h) alignedtext
+grestore
+% Node8->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 164 174 moveto
+164 166 164 156 164 147 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 167.5 147 moveto
+164 137 lineto
+160.5 147 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 167.5 147 moveto
+164 137 lineto
+160.5 147 lineto
+closepath stroke
+grestore
+% Node9->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 153 116 moveto
+145 107 134 96 125 86 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 127.55 83.6 moveto
+118 79 lineto
+122.6 88.55 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 127.55 83.6 moveto
+118 79 lineto
+122.6 88.55 lineto
 closepath stroke
 grestore
@@ -594,5 +636,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 257 356
+%%BoundingBox: 36 36 254 356
 end
 restore
Index: /doc/latex/classbdm_1_1merger__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1merger__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1merger__coll__graph.dot (revision 270)
@@ -20,5 +20,5 @@
   Node8 [label="bdm::BM",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1BM.html",tooltip="Bayesian Model of a system, i.e. all uncertainty is modeled by probabilities."];
   Node4 -> Node8 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node5 -> Node8 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node5 -> Node8 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node9 -> Node6 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="weights"];
   Node9 [label="bdm::multiBM",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1multiBM.html",tooltip="Estimator for Multinomial density."];
Index: /doc/latex/classbdm_1_1datalink__m2m__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2m__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2m__coll__graph.dot (revision 270)
@@ -7,4 +7,4 @@
   Node2 [label="bdm::datalink_m2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__m2e.html",tooltip="data link between"];
   Node3 -> Node2 [dir=back,color="midnightblue",fontsize=10,style="solid"];
-  Node3 [label="bdm::datalink_e2e",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink__e2e.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
+  Node3 [label="bdm::datalink",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1datalink.html",tooltip="DataLink is a connection between two data vectors Up and Down."];
 }
Index: /doc/latex/classbdm_1_1multiBM__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1multiBM__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1multiBM__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-d35e794c692d4f4d582a556f7ebdd4a0
+3a0e77e9c0d38b8c5a045b27199b9544
Index: /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.eps (revision 270)
@@ -254,26 +254,26 @@
 % Node3
 gsave
-[ /Rect [ 4 117 108 137 ]
+[ /Rect [ 16 117 96 137 ]
   /Border [ 0 0 0 ]
-  /Action << /Subtype /URI /URI ($classbdm_1_1datalink__e2e.html) >>
+  /Action << /Subtype /URI /URI ($classbdm_1_1datalink.html) >>
   /Subtype /Link
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 4 116 moveto
-4 137 lineto
-109 137 lineto
-109 116 lineto
+newpath 16 116 moveto
+16 137 lineto
+97 137 lineto
+97 116 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.000 nodecolor
-newpath 4 116 moveto
-4 137 lineto
-109 137 lineto
-109 116 lineto
+newpath 16 116 moveto
+16 137 lineto
+97 137 lineto
+97 116 lineto
 closepath stroke
 0.000 0.000 0.000 nodecolor
 10 /FreeSans set_font
-11.5 123.5 moveto 89 (bdm::datalink_e2e) alignedtext
+23.5 123.5 moveto 65 (bdm::datalink) alignedtext
 grestore
 % Node3->Node2
Index: /doc/latex/classbdm_1_1EKFCh__cond__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1EKFCh__cond__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1EKFCh__cond__coll__graph.dot (revision 270)
@@ -14,5 +14,5 @@
   Node6 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node6 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node7 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node7 -> Node5 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node7 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node6 -> Node7 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/libKF_8h__incl.md5
===================================================================
--- /doc/latex/libKF_8h__incl.md5 (revision 261)
+++ /doc/latex/libKF_8h__incl.md5 (revision 270)
@@ -1,1 +1,1 @@
-48cb71c8954950f781820697d09d8cd4
+c3bf9360a1a8bc3c5bc1886382a85262
Index: /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.eps
===================================================================
--- /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.eps (revision 269)
+++ /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.eps (revision 270)
@@ -604,8 +604,5 @@
 0.000 0.000 0.000 edgecolor
 10 /FreeSans set_font
-124.5 397 moveto 15 (drv) alignedtext
-0.000 0.000 0.000 edgecolor
-10 /FreeSans set_font
-127.5 384 moveto 9 (rv) alignedtext
+124.5 390.5 moveto 15 (drv) alignedtext
 grestore
 % Node7
Index: /doc/latex/libPF_8h__incl.dot
===================================================================
--- /doc/latex/libPF_8h__incl.dot (revision 261)
+++ /doc/latex/libPF_8h__incl.dot (revision 270)
@@ -12,8 +12,10 @@
   Node4 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
   Node5 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node2 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node7 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
+  Node3 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node6 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node2 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/classbdm_1_1EKF__coll__graph.dot
===================================================================
--- /doc/latex/classbdm_1_1EKF__coll__graph.dot (revision 269)
+++ /doc/latex/classbdm_1_1EKF__coll__graph.dot (revision 270)
@@ -10,5 +10,5 @@
   Node4 -> Node3 [dir=back,color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="bdm::bdmroot",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1bdmroot.html",tooltip="Root class of BDM objects."];
-  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv\nrv"];
+  Node5 -> Node3 [dir=back,color="darkorchid3",fontsize=10,style="dashed",label="drv"];
   Node5 [label="bdm::RV",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$classbdm_1_1RV.html",tooltip="Class representing variables, most often random variables."];
   Node4 -> Node5 [dir=back,color="midnightblue",fontsize=10,style="solid"];
Index: /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1datalink__m2m__inherit__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-8937827b8de7673a8aefcc2e59cbdac0
+53e380279be736b82ea5196c851d0f10
Index: /doc/latex/libDS_8h__incl.dot
===================================================================
--- /doc/latex/libDS_8h__incl.dot (revision 261)
+++ /doc/latex/libDS_8h__incl.dot (revision 270)
@@ -10,11 +10,13 @@
   Node3 -> Node4 [color="midnightblue",fontsize=10,style="solid"];
   Node4 [label="itpp/itbase.h",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
-  Node1 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
-  Node5 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
-  Node5 -> Node2 [color="midnightblue",fontsize=10,style="solid"];
-  Node5 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
-  Node6 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node2 -> Node5 [color="midnightblue",fontsize=10,style="solid"];
+  Node5 [label="map",height=0.2,width=0.4,color="grey75", fillcolor="white", style="filled"];
+  Node1 -> Node6 [color="midnightblue",fontsize=10,style="solid"];
+  Node6 [label="libEF.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libEF_8h.html",tooltip="Probability distributions for Exponential Family models."];
+  Node6 -> Node2 [color="midnightblue",fontsize=10,style="solid"];
   Node6 -> Node7 [color="midnightblue",fontsize=10,style="solid"];
-  Node7 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
-  Node7 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
+  Node7 [label="../math/chmat.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$chmat_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node7 -> Node8 [color="midnightblue",fontsize=10,style="solid"];
+  Node8 [label="libDC.h",height=0.2,width=0.4,color="black", fillcolor="white", style="filled",URL="$libDC_8h.html",tooltip="Matrices in decomposed forms (LDL&#39;, LU, UDU&#39;, etc)."];
+  Node8 -> Node3 [color="midnightblue",fontsize=10,style="solid"];
 }
Index: /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.md5
===================================================================
--- /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.md5 (revision 269)
+++ /doc/latex/classbdm_1_1EKFful__unQR__coll__graph.md5 (revision 270)
@@ -1,1 +1,1 @@
-039f7d5d2ac27cb99a52a00e48a6d92a
+5e6c05a5e6044645f711e325a91f384a
